<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hssf.record.aggregates Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hssf.record.aggregates Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/package-tree.html">Prev</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/cf/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/package-tree.html"
               target="_top">Frames</a></li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.hssf.record.aggregates</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.PositionTrackingVisitor.html"
                        title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">RecordAggregate.PositionTrackingVisitor</span></a>
                    (implements org.apache.poi.hssf.record.aggregates.<a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                            title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>)
                </li>
                <li type="circle">org.apache.poi.hssf.record.<a
                        href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                        title="class in org.apache.poi.hssf.record"><span class="typeNameLink">RecordBase</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">RecordAggregate</span></a>
                            <ul>
                                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/CFRecordsAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><span
                                        class="typeNameLink">CFRecordsAggregate</span></a></li>
                                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ChartSubstreamRecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><span
                                        class="typeNameLink">ChartSubstreamRecordAggregate</span></a></li>
                                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><span
                                        class="typeNameLink">ColumnInfoRecordsAggregate</span></a> (implements
                                    java.lang.Cloneable)
                                </li>
                                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ConditionalFormattingTable.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><span
                                        class="typeNameLink">ConditionalFormattingTable</span></a></li>
                                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/CustomViewSettingsRecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><span
                                        class="typeNameLink">CustomViewSettingsRecordAggregate</span></a></li>
                                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/DataValidityTable.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><span
                                        class="typeNameLink">DataValidityTable</span></a></li>
                                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><span
                                        class="typeNameLink">FormulaRecordAggregate</span></a> (implements
                                    org.apache.poi.hssf.record.<a
                                            href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                            title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>)
                                </li>
                                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/MergedCellsTable.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><span
                                        class="typeNameLink">MergedCellsTable</span></a></li>
                                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><span
                                        class="typeNameLink">PageSettingsBlock</span></a></li>
                                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><span
                                        class="typeNameLink">RowRecordsAggregate</span></a></li>
                                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/WorksheetProtectionBlock.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><span
                                        class="typeNameLink">WorksheetProtectionBlock</span></a></li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                        title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">SharedValueManager</span></a>
                </li>
                <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                        href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html"
                        title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">ValueRecordsAggregate</span></a>
                    (implements java.lang.Iterable&lt;T&gt;)
                </li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.hssf.record.aggregates.<a
                href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                title="interface in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">RecordAggregate.RecordVisitor</span></a>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/package-tree.html">Prev</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/cf/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/package-tree.html"
               target="_top">Frames</a></li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
